lkml.org 
[lkml]   [2022]   [Oct]   [20]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
From
Subject[PATCH 1/8] perf test: Do not use instructions:u explicitly
Date
I think it's to support non-root user tests.  But perf record can handle
the case and fall back to a software event (cpu-clock). Practically this
would affect when it's run on a VM, but it seems no reason to prevent running
the test in the guest.

Reviewed-by: Adrian Hunter <adrian.hunter@intel.com>
Signed-off-by: Namhyung Kim <namhyung@kernel.org>
---
tools/perf/tests/shell/record.sh | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/tools/perf/tests/shell/record.sh b/tools/perf/tests/shell/record.sh
index 301f95427159..747c33a1ec45 100755
--- a/tools/perf/tests/shell/record.sh
+++ b/tools/perf/tests/shell/record.sh
@@ -21,18 +21,18 @@ trap trap_cleanup exit term int

test_per_thread() {
echo "Basic --per-thread mode test"
- if ! perf record -e instructions:u -o ${perfdata} --quiet true 2> /dev/null
+ if ! perf record -o /dev/null --quiet true 2> /dev/null
then
- echo "Per-thread record [Skipped instructions:u not supported]"
+ echo "Per-thread record [Skipped event not supported]"
if [ $err -ne 1 ]
then
err=2
fi
return
fi
- if ! perf record -e instructions:u --per-thread -o ${perfdata} true 2> /dev/null
+ if ! perf record --per-thread -o ${perfdata} true 2> /dev/null
then
- echo "Per-thread record of instructions:u [Failed]"
+ echo "Per-thread record [Failed record]"
err=1
return
fi
@@ -49,7 +49,7 @@ test_register_capture() {
echo "Register capture test"
if ! perf list | egrep -q 'br_inst_retired.near_call'
then
- echo "Register capture test [Skipped missing instruction]"
+ echo "Register capture test [Skipped missing event]"
if [ $err -ne 1 ]
then
err=2
--
2.38.0.135.g90850a2211-goog
\
 
 \ /
  Last update: 2022-10-20 19:27    [W:0.128 / U:0.100 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site